### A free/open-source library for quantitative finance

Classes | Functions
ql/cashflows/dividend.hpp File Reference

A stock dividend. More...

`#include <ql/cashflow.hpp>`
`#include <ql/utilities/null.hpp>`
`#include <vector>`
Include dependency graph for dividend.hpp:

## Classes

class | Dividend
| Predetermined cash flow. More...
class | FixedDividend
| Predetermined cash flow. More...
class | FractionalDividend
| Predetermined cash flow. More...

## Functions

std::vector< boost::shared_ptr < Dividend > > | DividendVector (const std::vector< Date > &dividendDates, const std::vector< Real > &dividends)
| helper function building a sequence of fixed dividends

## Detailed Description

A stock dividend.